Subject: zip in bootup.

From: Ze Ji Li <[email-masked]>
Date: Sat, 29 Jun 1996 01:29:07 -1000 (HST)

hi..
	Is there a boot disk that have the ZIP driver in it?  If not, how
can I make a boot disk with the ZIP driver?  By the way, the ZIP
drive is the parallel version.  I like to try out debian on the ZIP drive.
Thank you very much.

ze

---

From: "Susan G. Kleinmann" <[email-masked]>
Date: Sat, 29 Jun 1996 09:32:08 -0400

>drive is the parallel version.  I like to try out debian on the ZIP drive.

I was just looking into this for a revised version of the FAQ (yes, this
is an FAQ).  In the process, I found this mail message from Bruce Perens 
which explains what needs to be done:

>> I have one of the IOMEGA ZIP-drives,100MB, parralell version, and was 
>> wondering if it is, if it can, and if it will be possible to have one's 
>> linux system one of these ZIP disks.
>
>Probably yes.
>
>Make a boot floppy, because the ZIP isn't directly bootable.
>Hand-edit the syslinux.config parameters in the boot floppy to add
> root=<device>. Make sure that the correct device exists in /dev .
>Build a custom kernel with the "ppa" driver linked in, because the root
> filesystem can't come from a module.
>
>This is a low-performance solution, but can be used to advantage as an
>installation disk in installing Debian on a number of systems - for example
>in a computer lab. Our installation system will let you put base1_1.tgz on
>the ZIP and will then not require the base floppies. You can also put Debian
>packages on the ZIP drive and use dpkg-scanpackages to build a Packages file
>for each ZIP disk so that "dselect" will work with them.
>
>        Bruce
>

I have more notes on this in the revised FAQ, which I will upload later
today (I hope).

Susan Kleinmann
[email-masked]